/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { BreadcrumbsService } from '@bci-web-core/core';
import { BreadcrumbsDemoSubcomponentComponent } from './breadcrumbs-demo-subcomponent.component';

describe('BreadcrumbsDemoSubcomponentComponent', () => {
  let component: BreadcrumbsDemoSubcomponentComponent;
  let fixture: ComponentFixture<BreadcrumbsDemoSubcomponentComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [RouterTestingModule],
        declarations: [BreadcrumbsDemoSubcomponentComponent],
        providers: [
          {
            provide: BreadcrumbsService,
            useValue: {
              // eslint-disable-next-line no-empty-function
              setTemporaryTitleForRoute: () => {},
            },
          },
        ],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(BreadcrumbsDemoSubcomponentComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
